package com.example.myapplication

import android.app.Dialog
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Spinner
import kotlinx.android.synthetic.main.activity_main.*

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        button.setOnClickListener {
            val dialog = Dialog(this)
            dialog.setContentView(R.layout.dialog_spinner)
            dialog.setCanceledOnTouchOutside(false)
            val spinner: Spinner = dialog.findViewById(R.id.spinner)

            val colors = ArrayList<Color>()
            //val colorValues = resources.getIntArray(R.array.tag_color_names)
            val sampleColorData = SampleColorData.get()
            val keySet = sampleColorData.keys
            for (key in keySet) {
                val value = sampleColorData[key]
                colors.add(Color(key, value))
            }
            val spinnerAdapter = SpinnerAdvanceAdapter(this, colors)
            //  val spinnerAdapter = SpinnerAdapter(this, colorValues)
            spinner.adapter = spinnerAdapter
            dialog.show()
        }

    }
}
